Installing the binary package includes changing the .bin file to an executable file and then installing the agent.

About this task

Upgrading the .bin package is not officially supported. If you used the .bin package to install an existing Log Insight Linux Agent,make a backup copy of the liagent.ini file located in /var/lib/loginsight-agent directory to keep the local configuration. After you have a backup copy, manually uninstall the Log Insight Linux Agent. See Uninstall the Log Insight Linux Agent bin package.

If you use the .bin package to install Linux agents, the init.d script named liagentd is installed as part of the package installation, but the package does not register the script. You can register the script manually.

You can verify that the installation is successful by running (/sbin/)service liagentd status command.

Prerequisites

  • Download and copy the Log Insight Linux Agent .bin package to the target Linux machine.

  • Log in as root or use sudo to run console commands.

  • Verify that the Log Insight Linux Agent has access to syslog and networking services.

Procedure

  1. Open a console and run the chmod command to change the .bin file to an executable file.

    Replace filename-version with the appropriate version.

     chmod +x filename-version.bin
  2. Run the ./filename-version.bin command to install the agent.

    Replace filename-version with the appropriate version.

    
         
    Note:
    sudo SERVERHOST=hostname ./filename-version.bin
  3. To set the target vRealize Log Insight server during installation, run the sudo SERVERHOST=hostname ./filename-version.bin command.

    Replace hostname with the IP address or hostname of the vRealize Log Insight server.

  4. (Optional) : To run the Log Insight Linux Agent as a non root user run the sudo command.
    sudo LIAGENTUSER=liagent ./filename-version.bin

    If the specified user does not exist, the Log Insight Linux Agent creates the user account during the installation. The created account is not deleted after uninstallation. If you install the Log Insight Linux Agent with the LIAGENTUSER=non_root_user parameter and try to upgrade with the LIAGENTUSER=non_root_user2 parameter, a conflict oocurs and warnings appear because the non_root_user2 user does not have the permissions of the non_root_user user.